<div>
    <h2 id="page-heading">
        <span>Bookings</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-booking" [routerLink]="['/booking/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Booking
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bookings?.length === 0">
        <span>No bookings found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bookings && bookings.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bookingtime"><span>Bookingtime</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bookingStarttime"><span>Booking Starttime</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bookingEndtime"><span>Booking Endtime</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="pickupPoint"><span>Pickup Point</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="dropPoint"><span>Drop Point</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="license"><span>License</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="licenseValid"><span>License Valid</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let booking of bookings ;trackBy: trackId">
                    <td><a [routerLink]="['/booking', booking.id, 'view']">{{ booking.id }}</a></td>
                    <td>{{ booking.bookingtime | date:'medium' }}</td>
                    <td>{{ booking.bookingStarttime | date:'medium' }}</td>
                    <td>{{ booking.bookingEndtime | date:'medium' }}</td>
                    <td>{{ booking.pickupPoint }}</td>
                    <td>{{ booking.dropPoint }}</td>
                    <td>
                        <a *ngIf="booking.license" (click)="openFile(booking.licenseContentType, booking.license)">
                            <img [src]="'data:' + booking.licenseContentType + ';base64,' + booking.license" style="max-height: 30px;" alt="booking image"/>
                        </a>
                        <span *ngIf="booking.license">{{ booking.licenseContentType }}, {{ byteSize(booking.license) }}</span>
                    </td>
                    <td>{{ booking.licenseValid }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/booking', booking.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/booking', booking.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(booking)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="bookings && bookings.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
